#pragma once
#include "App.h" 
class Double :public App
{
public:
	Double(const Input* const input, IGraphics* graphics)
		: App(input, graphics)  // Call base class constructor here
	{
		// Derived class constructor body (if needed)
	}

	Double() {};
	~Double(); // we are going to create things so this destructor needs to clean them

	void Update(float /*gameDeltaTime*/); // we will do the main update
	void Render(); // we will do the main render
	void PostRender(); // if needed we can do some post render work here
	void SetupGame(); // do any initialisaiton, loading etc the game needs to work

};